AbstractInstrumenter.CustomFieldFilter (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.bytecode.buildtime.spi
Class AbstractInstrumenter.CustomFieldFilter

    java.lang.Object
      org.hibernate.bytecode.buildtime.spi.AbstractInstrumenter.CustomFieldFilter

All Implemented Interfaces:
  FieldFilter

Enclosing class:
  AbstractInstrumenter

    protected class AbstractInstrumenter.CustomFieldFilter

extends Object
implements FieldFilter

Allows control over what exactly to transform.

Constructor Summary
`AbstractInstrumenter.CustomFieldFilter(ClassDescriptor descriptor, Set classNames)`

Method Summary
`boolean` | `shouldInstrumentField(String className, String fieldName)` Should this field definition be instrumented?
`boolean` | `shouldTransformFieldAccess(String transformingClassName, String fieldOwnerClassName, String fieldName)` Should we instrument *access to* the given field.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractInstrumenter.CustomFieldFilter

    public AbstractInstrumenter.CustomFieldFilter(ClassDescriptor descriptor,
                                                  Set classNames)

Method Detail

### shouldInstrumentField

    public boolean shouldInstrumentField(String className,
                                         String fieldName)

  Description copied from interface: `FieldFilter`
  Should this field definition be instrumented?

  Specified by:
    `shouldInstrumentField` in interface `FieldFilter`
  Parameters:
    `className` - The name of the class currently being processed
    `fieldName` - The name of the field being checked.
  Returns:
    True if we should instrument this field.

### shouldTransformFieldAccess

    public boolean shouldTransformFieldAccess(String transformingClassName,
                                              String fieldOwnerClassName,
                                              String fieldName)

  Description copied from interface: `FieldFilter`
  Should we instrument *access to* the given field. This differs from `FieldFilter.shouldInstrumentField(java.lang.String, java.lang.String)` in that here we are talking about a particular usage of a field.

  Specified by:
    `shouldTransformFieldAccess` in interface `FieldFilter`
  Parameters:
    `transformingClassName` - The class currently being transformed.
    `fieldOwnerClassName` - The name of the class owning this field being checked.
    `fieldName` - The name of the field being checked.
  Returns:
    True if this access should be transformed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.